<?php
/*
  $Id: contrib_tracker.php,v .9 2007/01/08 11:25:32 lildog Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
_________________________________________________________________

Contribution Tracker MODULE for osC Admin
By Admin of www.silvermoon-jewelry.com
Based on:
        Admin_notes: Original Code By: Robert Hellemans of www.RuddlesMills.com
        RSS News for OSC
These are LIVE SHOPS - So please, no TEST accounts etc...
We will report you to your ISP if you abuse our websites!

note_created-              original date added to store 
contr_last_modified- last time (an update has been issued) modified at OSC Site
last_update-               last updated in Store.

DATE_STATUS_CHANGE--DITCH, WHO CARES?
*/

  require('includes/application_top.php');
  require(DIR_WS_CLASSES . 'rdf_class.php');
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CONTRIB_TRACKER);
  require(DIR_WS_FUNCTIONS . 'contrib_tracker.php');
  $format = '%Y-%m-%d %H:%M:%S';

  function tep_set_contrib_query_status($contr_id, $status,$contr_last_modified) {
// IF THERE IS NO LAST MODIFIED DATE USE NOW ELSE USE THE $contr_last_modified (LAST TIME THE CONTRIB APPEARED IN THE RSS FEED)
    if ($contr_last_modified == NULL){
      $last_update_date= strftime($format,time());
    }else{
      $last_update_date= $contr_last_modified;
    }

    if ($status == '0') {
      return tep_db_query("update " . TABLE_CONTRIB_TRACKER . " set status = '0', date_status_change = NULL where contr_id = '" . $contr_id . "'");
    } elseif ($status == '1') {
      return tep_db_query("update " . TABLE_CONTRIB_TRACKER . " set status = '1', date_status_change =  now(), last_update='" .$contr_last_modified. "' where contr_id = '" . $contr_id . "'");
    } elseif ($status == '2') {
      return tep_db_query("update " . TABLE_CONTRIB_TRACKER . " set status = '3', date_status_change =  now(), last_update='" .$contr_last_modified. "' where contr_id = '" . $contr_id . "'");
    } else {
      return -1;
    }
  }

//rss file path
// THIS GETS THE FEED AND PARSES IT
	vWritePageToFile('http://feeds.feedburner.com/osCommerce_Contributions?format=xml', DIR_WS_CATALOG. 'rsscache/contrib_rss.html');

 $channel = new rdfFile(DIR_WS_CATALOG. 'rsscache/contrib_rss.html'); //rss cached file path
  //$channel = new rdfFile("http://www.oscommerce.com/oscommerce_contributions.rdf"); 
  $channel->parse(false);
  $countme=0;
  while ($countme < $channel->ItemsCounter) {
    $thelink = $channel->Items[$countme]["Link"];
    $thetitle = $channel->Items[$countme]["Title"];
    $thedescription = $channel->Items[$countme]["Description"];
    $thepubdate = $channel->Items[$countme]["PubDate"];
    $pubtimestamp=strtotime($thepubdate);
    $pubtimestamp=strftime ($format, $pubtimestamp);

// add backslashes to characters that need escaping
    $thetitle=addslashes($thetitle);

// UPDATE THE CONTRIBUTIONS THAT ARE IN THE RSS FILE
    tep_db_query("UPDATE " . TABLE_CONTRIB_TRACKER . " SET status ='0', contr_last_modified = '" . $pubtimestamp . "' , date_status_change = now() where contrib_name = '" . $thetitle . "' and last_update < '" . $pubtimestamp . "'");
    $countme++;
  }

  switch ($HTTP_GET_VARS['action']) {
    case 'setflag':
      tep_set_contrib_query_status($HTTP_GET_VARS['id'], $HTTP_GET_VARS['flag'], $HTTP_GET_VARS['contr_last_modified']);
      tep_redirect(tep_href_link(FILENAME_CONTRIB_TRACKER, '&sID=' . $HTTP_GET_VARS['id']));
      break;

    case 'updatecheck':
    tep_db_query("update " . TABLE_CONFIGURATION . " set configuration_value = '" . $HTTP_POST_VARS['lastcheck'] . "', last_modified = now() where configuration_id = PUT YOUR CONFIG ID HERE");
    tep_redirect(tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $HTTP_GET_VARS['sID']));
     break;
    
    case 'insert':
      $utstamp=strtotime($HTTP_POST_VARS['last_update']);
      $utstamp=strftime ($format, $utstamp);
      $atstamp=strtotime($HTTP_POST_VARS['note_created']);
      $atstamp=strftime ($format, $atstamp);
      tep_db_query("insert into " . TABLE_CONTRIB_TRACKER . " (contr_id, contrib_name, contrib_link, config_comments, note_created, status, last_update, contrib_vers) values ('','" . $HTTP_POST_VARS['contrib_name_new'] . "','" . $HTTP_POST_VARS['contrib_link_new'] . "','" . $HTTP_POST_VARS['config_comments'] . "',  '" .  $atstamp . "', '1', '" .      $utstamp . "', '" . $HTTP_POST_VARS['contrib_vers'] . "' )");
      tep_redirect(tep_href_link(FILENAME_CONTRIB_TRACKER, '&sID=' . $contr_id));
      break;

    case 'update':
      if ($old_status!='1' && $status=='1'){
        $last_update=date("Y-m-d H:M:S");
      }
      tep_db_query("update " . TABLE_CONTRIB_TRACKER . " set contr_last_modified = now(), status =  '" . $status . "',contrib_name =  '" . $contrib_name_new . "', contrib_link =  '" . $contrib_link_new . "', config_comments = '" . $config_comments . "', last_update = '" . $last_update . "', contrib_vers= '" . $contrib_vers . "'  where contr_id = '" . $HTTP_POST_VARS['contr_id'] . "'");
      tep_redirect(tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $contr_id . '&sort=' . $HTTP_GET_VARS['sort']));
      break;

    case 'deleteconfirm':
      $contr_id = tep_db_prepare_input($HTTP_GET_VARS['sID']);
      tep_db_query("delete from " . TABLE_CONTRIB_TRACKER. " where contr_id = '" . tep_db_input($contr_id) . "'");
      tep_redirect(tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sort=' . $HTTP_GET_VARS['sort']));
      break;
  }
?>

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>

<?php
// set sub title
      if ( $HTTP_GET_VARS['action'] == 'readonly') $HEADING_SUB_TITLE = HEADING_SUB_TITLE_READONLY;
      if ( $HTTP_GET_VARS['action'] == 'delete') $HEADING_SUB_TITLE = HEADING_SUB_TITLE_DELETE;
      if ( $HTTP_GET_VARS['action'] == 'update') $HEADING_SUB_TITLE = HEADING_SUB_TITLE_EDIT;
      if ( $HTTP_GET_VARS['action'] == 'edit') $HEADING_SUB_TITLE = HEADING_SUB_TITLE_EDIT;
      if ( $HTTP_GET_VARS['action'] == 'new') $HEADING_SUB_TITLE = HEADING_SUB_TITLE_INSERT;
      if ( $HTTP_GET_VARS['action'] == 'setflag') $HEADING_SUB_TITLE = HEADING_SUB_TITLE_SETFLAG;
      if ( $HTTP_GET_VARS['action'] == '') $HEADING_SUB_TITLE = HEADING_SUB_TITLE;

if ( ($HTTP_GET_VARS['action'] == 'new') || ($HTTP_GET_VARS['action'] == 'edit') ) {
?>
<link rel="stylesheet" type="text/css">
<?php
  }
?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<div id="spiffycalendar" class="text"></div>
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
<?php
        if ($menu_dhtml == false ) {     // add for dhtml_menu
            echo '<td width="' . BOX_WIDTH . '" valign="top">';
            echo '<table border="0" width="' . BOX_WIDTH . '" cellspacing="1" cellpadding="1" class="columnLeft">';
            echo '<!-- left_navigation //-->';
            require(DIR_WS_INCLUDES . 'column_left.php');
            echo '<!-- left_navigation_eof //-->';
            echo '</table>';
            echo '</td>';
        } else {

        }
?>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?>
           <?php echo '<a href="http://www.oscommerce.com/community/contributions" target="_blank">' . tep_image(DIR_WS_IMAGES . 'html_badge.gif', HEADING_CONTRIB_HTML_SUPPORT_SITE, '80', '15') . '</a>&nbsp;&nbsp; <a href="http://www.oscommerce.com/oscommerce_contributions.rdf" target="_blank">' . tep_image(DIR_WS_IMAGES . 'rss_badge.gif', HEADING_CONTRIB_RSS_SUPPORT_SITE, '80', '15') . '</a>'; ?>&nbsp;&nbsp;
            <br><font class="smallText"><?php echo $HEADING_SUB_TITLE; ?></font></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 10, 1); ?></td>
<?php 
  if ($HTTP_GET_VARS['action'] != 'new' || $HTTP_GET_VARS['action'] != 'edit') {
  if (htmlspecialchars(StripSlashes(@$HTTP_GET_VARS["search"])) == '')
      {$searchquery = ''; } else { $searchquery = htmlspecialchars(StripSlashes(@$HTTP_GET_VARS["search"])) ;}
?>
            <td align="right"><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr><?php echo tep_draw_form('search', FILENAME_CONTRIB_TRACKER, '', 'get'); ?>
                <td class="smallText" align="right"><?php echo HEADING_TITLE_CONTRIBSEARCH . ' ' . tep_draw_input_field('search', $searchquery, "onFocus=\"if (this.value == 'enter search query') { this.value='' }\""); ?></td>
              </form></tr>
<!--  SHOW THE TITLE AND A FIELD TO ENTER A NEW DATE -->
              <tr>
                <?php if ($HTTP_GET_VARS['action']== 'editlastcheck') { 
                   echo tep_draw_form('lastcheck', FILENAME_CONTRIB_TRACKER,'action=updatecheck&id=' . $admin_quer['contr_id'] . '&page=' . $HTTP_GET_VARS['page'] .  '&sID=' . $HTTP_GET_VARS['sID'], 'post'); ?>
                      <td class="smallText" align="right"><?php echo HEADING_LAST_CHECK . ' ' . tep_draw_input_field('lastcheck', LAST_CONFIG_CHECK); ?></td>
                    </form>
                 <?php } else { ?>

<!-- // JUST SHOW THE TITLE AND DATE FOR LAST MANUAL UPDATE AS A LINK -->
                 <td class="smallText" align="right"> <?php echo ' <a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'action=editlastcheck&id=' . $admin_quer['contr_id'] . '&page=' . $HTTP_GET_VARS['page'] . '&sID=' . $HTTP_GET_VARS['sID'] , 'NONSSL') . '">'.HEADING_LAST_CHECK.' '.LAST_CONFIG_CHECK .'</a></td>';
                } ?>
              </tr>

            </table></td>
<?php 
}
?>            
          </tr>
        </table></td>
      </tr>
<?php
  if ( ($HTTP_GET_VARS['action'] == 'new') || ($HTTP_GET_VARS['action'] == 'edit') ) {
    $form_action = 'insert';
                
// UPDATE A CONTRIBUTION ENTRY
    if ( ($HTTP_GET_VARS['action'] == 'edit') && ($HTTP_GET_VARS['sID']) ) {
      $form_action = 'update';
                
      $product_query = tep_db_query("select contr_id, contrib_name, contrib_link, status, config_comments, last_update, note_created,contrib_vers from " . TABLE_CONTRIB_TRACKER . " where contr_id = '" . $HTTP_GET_VARS['sID'] . "'");
      $product = tep_db_fetch_array($product_query);
      $sInfo = new objectInfo($product);
    } else {
      $sInfo = new objectInfo(array());
      $contr_array = array();
    }
?>

      <tr><form name="new_contr" <?php echo 'action="' . tep_href_link(FILENAME_CONTRIB_TRACKER, tep_get_all_get_params(array('action', 'info', 'sID')) . 'action=' . $form_action, 'NONSSL') . '"'; ?> method="post"><?php if ($form_action == 'update') echo tep_draw_hidden_field('contr_id', $HTTP_GET_VARS['sID']) ; ?>
        <td><br><table border="0" cellspacing="0" cellpadding="2">

          <tr class="dataTableRow">
            <td class="dataTableContent"><?php echo TEXT_NAME_VERSION; ?>&nbsp;</td>
            <td class="dataTableContent"><?php echo tep_draw_input_field('contrib_name_new', $sInfo-> contrib_name, 'size=50 maxlength=255'); ?></td>
          </tr>
          <tr class="dataTableRow">
            <td class="dataTableContent"><?php echo TEXT_INFO_HTML; ?>&nbsp;</td>
            <td class="dataTableContent"><?php echo tep_draw_input_field('contrib_link_new', $sInfo-> contrib_link, 'size=50 maxlength=255'); ?></td>
          </tr>

<?php
if ( $HTTP_GET_VARS['action'] == 'edit') {
?> 
<!-- // insert version number field -->
            <tr class="dataTableRow">
              <td class="dataTableContent"><?php echo TEXT_VERSION_NUMBER; ?>&nbsp;</td>
              <td class="dataTableContent"><?php echo tep_draw_input_field('contrib_vers', $sInfo->contrib_vers, 'size=50 maxlength=30'); ?></td>
            </tr>

            <tr class="dataTableRow">
              <td class="dataTableContent"><?php echo TEXT_INFO_TO_REMEMBER; ?>&nbsp;</td>
              <td class="dataTableContent"><?php echo tep_draw_input_field('last_update', $sInfo-> last_update, 'size=50 maxlength=30'); ?></td>
            </tr>
            <tr class="dataTableRow">
              <td class="dataTableContent"><?php echo TEXT_INFO_DATE_ADDED; ?>&nbsp;</td>
              <td class="dataTableContent"><?php echo tep_draw_input_field('note_created', $sInfo-> note_created, 'size=50 maxlength=30'); ?></td>
            </tr>

<?php
 } elseif ( $HTTP_GET_VARS['action'] == 'new') {
?>
<!-- // insert version number field -->
            <tr class="dataTableRow">
              <td class="dataTableContent"><?php echo TEXT_VERSION_NUMBER; ?>&nbsp;</td>
              <td class="dataTableContent"><?php echo tep_draw_input_field('contrib_vers','', 'size=50 maxlength=30'); ?></td>
            </tr>

            <tr class="dataTableRow">
            <td class="dataTableContent"><?php echo TEXT_INFO_TO_REMEMBER; ?>&nbsp;</td>
            <td class="dataTableContent"><?php echo tep_draw_input_field('last_update','', 'size=50 maxlength=30'); ?></td>
            </tr>
            <tr class="dataTableRow">
            <td class="dataTableContent"><?php echo TEXT_INFO_DATE_ADDED; ?>&nbsp;</td>
            <td class="dataTableContent"><?php echo tep_draw_input_field('note_created','', 'size=50 maxlength=30'); ?></td>
            </tr>

<?php
}
?>          <tr class="dataTableRow">
            <TD VALIGN="top" CLASS="dataTableContent"><?php echo TEXT_CONFIG_COMMENTS; ?>&nbsp;</TD>
            <td class="dataTableContent"><?php echo tep_draw_textarea_field('config_comments', 'soft', '70', '15', ($sInfo->config_comments)) ; ?></td>
          </tr>
<?php
if ( $HTTP_GET_VARS['action'] == 'edit') {
?>                                        
          <tr class="dataTableRow">
            <td class="dataTableContent"><?php echo TEXT_CONFIG_STATUS; ?>&nbsp;</td>
            <td class="dataTableContent"><?php echo tep_draw_input_field('status', $sInfo->status, 'size=2 maxlength=1'); ?> &nbsp;&nbsp;&nbsp;
             0 = <?php echo tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', 'New Update Exists', 10, 10); ?> New Update Exists&nbsp;&nbsp;&nbsp;
             1 = <?php echo tep_image(DIR_WS_IMAGES . 'icon_status_green.gif', 'No New Update', 10, 10); ?> No New Update&nbsp;&nbsp;&nbsp;
                                                    2 = No status&nbsp;&nbsp;&nbsp;
            <td><?php echo tep_draw_hidden_field('old_status', $sInfo->status);?></td>
          </tr>
<?php
}
?>          
       </table>
       </td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main" align="right" valign="top"><br><?php echo (($form_action == 'insert') ? tep_image_submit('button_insert.gif', IMAGE_INSERT) : tep_image_submit('button_update.gif', IMAGE_UPDATE)). '&nbsp;&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $HTTP_GET_VARS['sID']) . '&sort=' . $HTTP_GET_VARS['sort'] . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>&nbsp;&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'sID=' . $HTTP_GET_VARS['sID']) . '&action=' . $HTTP_GET_VARS['action'] . '" onclick="reset();">' . tep_image_button('button_reset.gif', IMAGE_RESET) . '</a>'; ?></td>
          </tr>
        </table></td>
      </form></tr>
<?php
  } elseif ($HTTP_GET_VARS['action'] != 'readonly') {
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
<!-- TABLE HEADINGS AND SORT ICONS-->
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="<?php echo "$PHP_SELF?sort=2a" . "&page=" . $HTTP_GET_VARS['page'] . "&sID=" . $HTTP_GET_VARS['sID']; ?>"><?php echo tep_image(DIR_WS_IMAGES . 'icon_up.gif', IMAGE_BUTTON_UPSORT); ?></a><a href="<?php echo "$PHP_SELF?sort=2d" . "&page=" . $HTTP_GET_VARS['page'] . "&sID=" . $HTTP_GET_VARS['sID']; ?>"><?php echo tep_image(DIR_WS_IMAGES . 'icon_down.gif', IMAGE_BUTTON_DOWNSORT); ?></a><br><?php echo TABLE_HEADING_NAME; ?></td>
                <td class="dataTableHeadingContent" align="center"><a href="<?php echo "$PHP_SELF?sort=4a" . "&page=" . $HTTP_GET_VARS['page'] . "&sID=" . $HTTP_GET_VARS['sID']; ?>"><?php echo tep_image(DIR_WS_IMAGES . 'icon_up.gif', IMAGE_BUTTON_UPSORT); ?></a><a href="<?php echo "$PHP_SELF?sort=4d" . "&page=" . $HTTP_GET_VARS['page'] . "&sID=" . $HTTP_GET_VARS['sID']; ?>"><?php echo tep_image(DIR_WS_IMAGES . 'icon_down.gif', IMAGE_BUTTON_DOWNSORT); ?></a>&nbsp;&nbsp;<br><?php echo TABLE_HEADING_STATUS; ?></td>
                <td class="dataTableHeadingContent" align="right"><br><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
          switch ($sort) {
              case "2a":
               $order_it_by = "contrib_name, status ";
               break;
              case "2d":
               $order_it_by = "contrib_name DESC, status ";
               break;
              case "4a":
               $order_it_by = "status , contrib_name";
               break;
              case "4d":
               $order_it_by = "status DESC, contrib_name";
               break;
              case "5a":
               $order_it_by = "last_update , contrib_name";
               break;
              case "5d":
               $order_it_by = "last_update DESC, contrib_name";
               break;
              default:
               $order_it_by = "status , contrib_name";
                  }

// IF THIS IS A SEARCH GET THE SEARCH RESULTS FROM THE DB
    if ($HTTP_GET_VARS['search']) {
      $admin_query_query_raw = "select contr_id, contrib_name, contrib_link, status, note_created , contr_last_modified , date_status_change , last_update,config_comments, contrib_vers from " . TABLE_CONTRIB_TRACKER . " where contrib_name like '%" . $HTTP_GET_VARS['search'] . "%' order by " . $order_it_by . " ";

      $admin_query_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $admin_query_query_raw, $admin_query_query_numrows);
      $admin_query_query = tep_db_query($admin_query_query_raw);            
      if (tep_db_num_rows($admin_query_query) == 0) echo '<td  class="dataTableContent" align="left">' . TEXT_NO_DATA . '</td>';
    } else {
// IF THIS IS NOT A SEARCH SO GET ALL THE DATABASE ENTRIES
      $admin_query_query_raw = "select contr_id, contrib_name,contrib_link,status, note_created , contr_last_modified , date_status_change , last_update,config_comments, contrib_vers from " . TABLE_CONTRIB_TRACKER . " order by " . $order_it_by . " ";

      $admin_query_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $admin_query_query_raw, $admin_query_query_numrows);
      $admin_query_query = tep_db_query($admin_query_query_raw);
      if (tep_db_num_rows($admin_query_query) == 0) echo '<td  class="dataTableContent" align="right">' . TEXT_EMPTY_DATABASE . '</td>';
    }
    while ($admin_quer = tep_db_fetch_array($admin_query_query)) {
      if ( ((!$HTTP_GET_VARS['sID']) || ($HTTP_GET_VARS['sID'] == $admin_quer['contr_id'])) && (!$sInfo) ) {
        $sInfo_array = array_merge($admin_quer, '');
        $sInfo = new objectInfo($sInfo_array);
      }

  if ($HTTP_GET_VARS['search'] == '') {
      if ( (is_object($sInfo)) && ($admin_quer['contr_id'] == $sInfo->contr_id)) {
        echo ' <tr class="dataTableRowSelected" onmouseover="this.style.cursor=\'hand\'" onclick="document.location.href=\'' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'search=' . $HTTP_GET_VARS['search'] . '&sID=' . $sInfo->contr_id . '&sort=' . $HTTP_GET_VARS['sort'] . '&action=readonly') . '\'">' . "\n";
      } else {
        echo ' <tr class="dataTableRow" onmouseover="this.className=\'dataTableRowOver\';this.style.cursor=\'hand\'" onmouseout="this.className=\'dataTableRow\'" onclick="document.location.href=\'' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'search=' . $HTTP_GET_VARS['search'] . '&sID=' . $admin_quer['contr_id']) . '&sort=' . $HTTP_GET_VARS['sort'] . '\'">' . "\n"; }
   } else {
    $searchresult_query_query_raw = "select contr_id from " . TABLE_CONTRIB_TRACKER . " order by " . $order_it_by . " ";
    $searchresult_query_query = tep_db_query($searchresult_query_query_raw);
    $searchresult_page= round($searchresult_query_query_numrows / MAX_DISPLAY_SEARCH_RESULTS)-1;

// INSERT CONTRIB NAMES INTO PAGE 
      if ( (is_object($sInfo)) && ($admin_quer['contr_id'] == $sInfo->contr_id)) {
        echo ' <tr class="dataTableRowSelected" onmouseover="this.style.cursor=\'hand\'" onclick="document.location.href=\'' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $sInfo->contr_id . '&sort=' . $HTTP_GET_VARS['sort'] . '&action=readonly') . '\'">' . "\n";
      } else {
        echo ' <tr class="dataTableRow" onmouseover="this.className=\'dataTableRowOver\';this.style.cursor=\'hand\'" onmouseout="this.className=\'dataTableRow\'" onclick="document.location.href=\'' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $searchresult_page . '&sID=' . $admin_quer['contr_id']) . '&sort=' . $HTTP_GET_VARS['sort'] . '\'">' . "\n"; }
      }
    ?>

    <td  class="dataTableContent"><?php echo '<a href="' . $admin_quer['contrib_link'] . '" name="' . $admin_quer['contrib_name'] . '">' . $admin_quer['contrib_name']; ?></a></td>                                                                
    <td  class="dataTableContent" align="center">

<?php

// SHOW THE STATUS ICONS
// contr_last_modified
      if ($admin_quer['status'] == '0') {
           echo tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', 'New Update Exists', 10, 10) . '&nbsp;
           <a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'action=setflag&flag=1&id=' . $admin_quer['contr_id'] . '&page=' . $HTTP_GET_VARS['page'] . '&sID=' . $admin_quer['contr_id'].'&contr_last_modified='.$admin_quer['contr_last_modified'] , 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', 'Set: No New Update Marker', 10, 10) . '</a>';
      } elseif ($admin_quer['status'] == '1') {
           echo '<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'action=setflag&flag=0&id=' . $admin_quer['contr_id'] . '&page=' . $HTTP_GET_VARS['page'] . '&sID=' . $admin_quer['contr_id']. '&contr_last_modified='.$admin_quer['contr_last_modified'] , 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', 'Set: New Update Exists Marker', 10, 10) . '</a>&nbsp;' . 
           tep_image(DIR_WS_IMAGES . 'icon_status_green.gif', 'No New Update', 10, 10) . '</a>';
      } else {
           if ($admin_quer['status'] == '2')  {
             echo '<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'action=setflag&flag=0&id=' . $admin_quer['contr_id'] . '&page=' . $HTTP_GET_VARS['page'] . '&sID=' . $admin_quer['contr_id']. '&contr_last_modified='.$admin_quer['contr_last_modified'], 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', 'Set: New Update Exists Marker', 10, 10) . '</a>&nbsp;
             <a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'action=setflag&flag=1&id=' . $admin_quer['contr_id'] . '&page=' . $HTTP_GET_VARS['page'] . '&sID=' . $admin_quer['contr_id']. '&contr_last_modified='.$admin_quer['contr_last_modified'], 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', 'Set: No New Update', 10, 10) . '</a>';
           }
      }
?>

<!-- INSERT THE ACTION ICONS -->
    </td>
    <td class="dataTableContent" align="right">
    	<?php 
    	if (htmlspecialchars(StripSlashes(@$HTTP_GET_VARS["search"])) == ''){ 
    		if ( (is_object($sInfo)) && ($admin_quer['contr_id'] == $sInfo->contr_id) ) { 
    			echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); 
    		}else{
     		echo '<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $admin_quer['contr_id']) . '&sort=' . $HTTP_GET_VARS['sort'] . '">' .tep_image(DIR_WS_IMAGES . 'icon_info.gif', 'Preview') . '</a>'; 
    		} 
    	}else{
    		if ( (is_object($sInfo)) && ($admin_quer['contr_id'] == $sInfo->contr_id) ) {
    			echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); 
    		} else {
    			echo '<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'search=' . $HTTP_GET_VARS['search'] . '&sID=' . $admin_quer['contr_id']) . '&sort=' . $HTTP_GET_VARS['sort'] . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', 'Preview') . '</a>';
    		}
    	}
    	?>
    </td>

      </tr>
<?php
    }
?>
             <tr>
                <td colspan="5"><table border="0" width="100%" cellpadding="0"cellspacing="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $admin_query_split->display_count($admin_query_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $HTTP_GET_VARS['page'], TEXT_DISPLAY_NUMBER_OF_RECORDS); ?></td>
                    <td class="smallText" align="right"><?php echo $admin_query_split->display_links($admin_query_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page'], 'sID=' . $sInfo->contr_id . '&sort=' . $HTTP_GET_VARS['sort']); ?></td>
                  </tr>
                   <?php
                      if (!$HTTP_GET_VARS['action']) {
                    ?>
                  <tr> 
                    <td colspan="2" align="right"><?php echo '<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'action=new') . '">' . tep_image_button('button_insert.gif', IMAGE_INSERT) . '</a>'; ?></td>
                  </tr>

<!-- // INSERT THE HELP NOTES -->
                  <tr> 
                    <td class="smallText" colspan="2" align="left">
                      <?php echo '<B>'. TEXT_HELP_NOTES_HEADER.'</B><br>'.TEXT_HELP_NOTES.'<br><BR>'; ?>
                    </td>
                  </tr>
                  <tr>
<!-- // INSERT NEWEST CONTRIBS FROM RSS -->
                    <td class="smallText" colspan="2" align="left"> <B><?php echo TEXT_CONTRIB_HEADER; ?></B> <br>

<?php 
       $countme=0;
        while ($countme < $channel->ItemsCounter) {
            $thelink = $channel->Items[$countme]["Link"];
            $thetitle = $channel->Items[$countme]["Title"];
            $thedescription = $channel->Items[$countme]["Description"];
            $thepubdate = $channel->Items[$countme]["PubDate"];
           echo "<a href=\"" . $thelink . "\" target=\"_blank\">" . $thetitle . "</a></li><br>\n";
         // echo "<a href=\"" . $thelink . "\">" . $thetitle . "</a>&nbsp;&nbsp;&nbsp;&nbsp;" . $thepubdate .  "</li><br>\n";
            $countme++;
        }
?>
                    </td>
                  </tr>
<?php
  } 
?>  
                </table></td>
              </tr>
            </table></td>
<?php

  $heading = array();
  $contents = array();

// RIGHT COLUMN STUFF
  switch ($HTTP_GET_VARS['action']) {
    case 'delete':
      $heading[] = array('text' => '<center><b>' . TEXT_INFO_HEADING_DELETE . '</b></center>');
      $contents = array('form' => tep_draw_form('install_contr_del', FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $sInfo->contr_id . '&sort=' . $HTTP_GET_VARS['sort'] . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
      $contents[] = array('text' => '<br><b>' . $sInfo-> contrib_name . '</b>');
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_delete.gif', IMAGE_DELETE) . '&nbsp;<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $sInfo->contr_id) . '&sort=' . $HTTP_GET_VARS['sort'] . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    default:
      if (is_object($sInfo)) {
        $heading[] = array('text' => '<center><b>' . $sInfo->contrib_name . '</b></center>');
        $contents[] = array('align' => 'center', 'text' => '<b>'.TEXT_VERSION_NUMBER .'</b> '.$sInfo-> contrib_vers);
        $contents[] = array('text' => '<b>' . TEXT_INFO_TO_REMEMBER . '</b><BR> ' . $sInfo->last_update);
        $contents[] = array('text' => '<br> <b>' . TEXT_INFO_DATE_ADDED . '</b><BR> ' . $sInfo->note_created);
        $contents[] = array('text' => '<b>' . TEXT_INFO_LAST_MODIFIED . '</b><BR> ' . $sInfo->contr_last_modified . '<BR><BR>');
        $contents[] = array('text' =>  '<b>' .TEXT_CONFIG_COMMENTS .'</b> '. $sInfo->config_comments);
        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $sInfo->contr_id . '&sort=' . $HTTP_GET_VARS['sort'] . '&action=edit') . '">' . tep_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $sInfo->contr_id . '&sort=' . $HTTP_GET_VARS['sort'] . '&action=delete') . '">' . tep_image_button('button_delete.gif', IMAGE_DELETE) . '</a><br><br> <a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $sInfo->contr_id . '&sort=' . $HTTP_GET_VARS['sort'] . '&action=readonly') . '">' . tep_image_button('button_preview.gif', IMAGE_PREVIEW) . '</a>' );
      }
      break;
  }
  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";
    $box = new box;
    echo $box->infoBox($heading, $contents);
    echo '            </td>' . "\n";
  }

} elseif ($HTTP_GET_VARS['action'] == 'readonly') {
// BOF READONLY/PREVIEW
      $product_query = tep_db_query("select contr_id, contrib_name,contrib_link, status, config_comments, date_status_change, note_created, contr_last_modified, last_update from " . TABLE_CONTRIB_TRACKER . " where contr_id = '" . $HTTP_GET_VARS['sID'] . "'");

      $product = tep_db_fetch_array($product_query);
      $sInfo = new objectInfo($product);
      if ($sInfo->status == '0') $status_desc = IMAGE_ICON_STATUS_GREEN;
      if ($sInfo->status == '1') $status_desc = IMAGE_ICON_STATUS_RED;      
      if ($sInfo->status == '2') $status_desc = IMAGE_ICON_STATUS_NONE;
?>
      <tr>
        <td><br><table border="0" cellspacing="0" cellpadding="2" class="formArea" align="center">
          <tr class="dataTableRow">
            <td class="dataTableContent" NOWRAP><b><?php echo TEXT_NAME_VERSION; ?>&nbsp;</b></td>
            <td class="formAreaTitle"><b><font color=blue><?php echo $sInfo-> contrib_name; ?></font></b></td>
          </tr>
          <tr class="dataTableRowOver">
            <td VALIGN="top" class="dataTableContent" NOWRAP><b><?php echo TEXT_CONFIG_COMMENTS; ?>&nbsp;</b></td>
            <td class="dataTableContent"><?php echo nl2br($sInfo->config_comments); ?></td>
          </tr>

           <tr class="dataTableRowOver">
            <td class="dataTableContent" NOWRAP><b><?php echo TEXT_INFO_TO_REMEMBER; ?>&nbsp;</b></td>
            <td class="dataTableContent"><?php echo $sInfo->last_update; ?></td>
          </tr>
 
          <tr class="dataTableRow">
            <td class="dataTableContent" NOWRAP><b><?php echo TEXT_INFO_DATE_ADDED; ?>&nbsp;</b></td>
            <td class="dataTableContent"><?php echo $sInfo->note_created; ?></td>
          </tr>                    
          <tr class="dataTableRowOver">
            <td class="dataTableContent" NOWRAP><b><?php echo TEXT_INFO_LAST_MODIFIED; ?>&nbsp;</b></td>
            <td class="dataTableContent"><?php if ($sInfo->contr_last_modified != '0000-00-00 00:00:00') echo $sInfo->contr_last_modified; ?></td>
          </tr>                  
          <tr class="dataTableRow">
            <td class="dataTableContent" NOWRAP><b><?php echo TEXT_INFO_STATUS; ?>&nbsp;</b></td>
            <td class="dataTableContent"><?php echo $sInfo->status . ':&nbsp;' . $status_desc; ?></td>
          </tr>          
          <tr class="dataTableRowOver">
            <td class="dataTableContent" NOWRAP><b><?php echo TEXT_INFO_STATUS_CHANGE; ?>&nbsp;</b></td>
            <td class="dataTableContent"><?php if ($sInfo->date_status_change != '0000-00-00 00:00:00') echo $sInfo->date_status_change; ?></td>
          </tr>
       </table>
                 
         </td>
      </tr>
      <tr>
            <td align="center" class="main"><br><?php echo '<a href="' . tep_href_link(FILENAME_CONTRIB_TRACKER, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $sInfo->contr_id . '&sort=' . $HTTP_GET_VARS['sort'], 'NONSSL') . '">' . tep_image_button('button_back.gif', IMAGE_BUTTON_BACK) . '</a>'; ?>
        </td>
      </tr>      
<?php          
}
 // EOF readonly         
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>